explain_vsprintf_or_die(3)

NAME
explain_vsprintf_or_die - formatted output conversion and report errors

SYNOPSIS
#include <libexplain/vsprintf.h>

int explain_vsprintf_or_die(char *data, const char *format, va_list ap);
int explain_vsprintf_on_error(char *data, const char *format, va_list ap);

DESCRIPTION
The explain_vsprintf_or_die function is used to call the vsprintf(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_vsprintf(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_vsprintf_on_error function is used to call the vsprintf(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_vsprintf(3) function, but still returns to the caller.

data
    The data, exactly as to be passed to the vsprintf(3) system call.

format
    The format, exactly as to be passed to the vsprintf(3) system call.

ap  The ap, exactly as to be passed to the vsprintf(3) system call.

RETURN VALUE
The explain_vsprintf_or_die function only returns on success, see vsprintf(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_vsprintf_on_error function always returns the value return by the wrapped vsprintf(3) system call.

EXAMPLE
The explain_vsprintf_or_die function is intended to be used in a fashion similar to the following example:
    int result = explain_vsprintf_or_die(data, format, ap);

SEE ALSO

vsprintf(3)
    formatted output conversion

explain_vsprintf(3)
    explain vsprintf(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2010 Peter Miller